### Function

# Ide log_increase_verbosity

#### Declaration

    void
    ide_log_increase_verbosity (
      void
    )

#### Description

Increases the amount of logging that will occur. By default, only warning and above will be displayed.

Calling this once will cause `G_LOG_LEVEL_MESSAGE` to be displayed. Calling this twice will cause `G_LOG_LEVEL_INFO` to be displayed. Calling this thrice will cause `G_LOG_LEVEL_DEBUG` to be displayed. Calling this four times will cause `IDE_LOG_LEVEL_TRACE` to be displayed.

Note that many DEBUG and TRACE level log messages are only compiled into debug builds, and therefore will not be available in release builds.

This method is meant to be called for every -v provided on the command line.

Calling this method more than four times is acceptable.

Available since: | 3.32